uk.gov.hmrc.ct.accounts.frsse2008.retriever

# Frsse2008AccountsBoxRetriever

###
Related Doc: package retriever

#### trait Frsse2008AccountsBoxRetriever extends AccountsBoxRetriever

Self Type
  Frsse2008AccountsBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
AccountsBoxRetriever, BoxRetriever, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Frsse2008AccountsBoxRetriever
2. AccountsBoxRetriever
3. BoxRetriever
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def ac1(): AC1

   Definition Classes
     AccountsBoxRetriever

2. #### abstract def ac12(): AC12

   Definition Classes
     Frsse2008AccountsBoxRetriever → AccountsBoxRetriever

3. #### abstract def ac13(): AC13

4. #### abstract def ac14(): AC14

5. #### abstract def ac15(): AC15

6. #### abstract def ac18(): AC18

7. #### abstract def ac19(): AC19

8. #### abstract def ac2(): AC2

   Definition Classes
     AccountsBoxRetriever

9. #### abstract def ac20(): AC20

10. #### abstract def ac205(): AC205

    Definition Classes
      AccountsBoxRetriever

11. #### abstract def ac206(): AC206

    Definition Classes
      AccountsBoxRetriever

12. #### abstract def ac21(): AC21

13. #### abstract def ac22(): AC22

14. #### abstract def ac23(): AC23

15. #### abstract def ac28(): AC28

16. #### abstract def ac29(): AC29

17. #### abstract def ac3(): AC3

    Definition Classes
      AccountsBoxRetriever

18. #### abstract def ac30(): AC30

19. #### abstract def ac31(): AC31

20. #### abstract def ac34(): AC34

21. #### abstract def ac35(): AC35

22. #### abstract def ac38(): AC38

23. #### abstract def ac39(): AC39

24. #### abstract def ac4(): AC4

    Definition Classes
      AccountsBoxRetriever

25. #### abstract def ac401(): AC401

    Definition Classes
      AccountsBoxRetriever

26. #### abstract def ac402(): AC402

    Definition Classes
      AccountsBoxRetriever

27. #### abstract def ac403(): AC403

    Definition Classes
      AccountsBoxRetriever

28. #### abstract def ac404(): AC404

    Definition Classes
      AccountsBoxRetriever

29. #### abstract def ac405(): AC405

30. #### abstract def ac406(): AC406

31. #### abstract def ac410(): AC410

32. #### abstract def ac411(): AC411

33. #### abstract def ac415(): AC415

    Definition Classes
      Frsse2008AccountsBoxRetriever → AccountsBoxRetriever

34. #### abstract def ac416(): AC416

35. #### abstract def ac420(): AC420

36. #### abstract def ac421(): AC421

37. #### abstract def ac425(): AC425

38. #### abstract def ac426(): AC426

39. #### abstract def cato24(): CATO24

    Definition Classes
      AccountsBoxRetriever

40. #### abstract def companyAddress(): CompanyAddress

    Definition Classes
      AccountsBoxRetriever

41. #### abstract def generateValues: Map[String, CtValue[_]]

    Definition Classes
      BoxRetriever

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def ac16(): AC16

5. #### def ac17(): AC17

6. #### def ac26(): AC26

7. #### def ac27(): AC27

8. #### def ac32(): AC32

9. #### def ac33(): AC33

10. #### def ac36(): AC36

11. #### def ac37(): AC37

12. #### def ac40(): AC40

13. #### def ac41(): AC41

14. #### def ac435(): AC435

15. #### def ac436(): AC436

16. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]

    Definition Classes
      BoxRetriever

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AccountsBoxRetriever

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped